/*
 * -----------------------------------------------------------------
 *    RICOH THETA Remote Shutter Client (Trigger) for PQI Air Pen
 * -----------------------------------------------------------------
 * mips-linux-gnu-gcc ThetaShutterTrig.c --static -o mips/ThetaShutterTrig
 *
 *  RICOH THETA HACKS! - MobileHackerz
 *  http://mobilehackerz.jp/contents/Review/RICOH_THETA
 *
 * This program is free software. It comes without any warranty, to
 * the extent permitted by applicable law. You can redistribute it
 * and/or modify it under the terms of the Do What The Fuck You Want
 * To Public License, Version 2, as published by Sam Hocevar. See
 * http://www.wtfpl.net/txt/copying/ for more details.
*/

#include <stdio.h>
#include <string.h>
#include <netdb.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>

/* ----------------------------------------------
		Main
   ---------------------------------------------- */

int main(int argc, char *argv[]) {
	int nMyPort;
	int sock;
	short nEvshift;
	struct sockaddr_in addr;
	char data[6];

	if (argc != 3) {
		printf("Usage : %s Trigger_port EVShift\n",argv[0]);
		return 1;
	}
	nMyPort		= atoi(argv[1]);
	nEvshift	= atoi(argv[2]);

	sock = socket(AF_INET, SOCK_DGRAM, 0);
	addr.sin_family = AF_INET;
	addr.sin_port = htons(nMyPort);
	addr.sin_addr.s_addr = inet_addr("127.0.0.1");
	strcpy(data,"TRIG");
	data[4] = (nEvshift & 0xFF);
	data[5] = (nEvshift >> 8);
	sendto(sock, data, sizeof(data), 0, (struct sockaddr *)&addr, sizeof(addr));
	close(sock);

	return 0;
}
